/*
 *  XMMS Input Plugin - CDDA Paranoia
 *
 *  Copyright (C) 2002  Iwasa Kazmi 
 *
 *  Copyright (C) 1998-2000  Peter Alm, Mikael Alm, Olle Hallnas,
 *                           Thomas Nilsson and 4Front Technologies
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef CDPARANOIA_H_
#define CDPARANOIA_H_

#ifdef XMMS_SOURCETREE
#include "libxmms/util.h"
#include "xmms/i18n.h"
#else
#include <xmms/util.h>
#define _(x)	x
#endif

#include "xmms/plugin.h"
#include "xmms/configfile.h"

/*
 * Configurations
 */
typedef struct
{
    gchar *cdrom_dir;
    gchar *cdrom_device;
    gboolean force_cdrom_speed;
    gint cdrom_speed;
    gint paranoia_retries;
    gboolean abort_on_skip;
} CddaParanoiaCfg;


extern CddaParanoiaCfg para_cfg;

extern void cdparanoia_configure(void);
extern void load_cfg(void);

#endif
